IntelliCAD 11.1 Object Library | |
GetBoundingBox Method | |
See Also |
- MinPoint
- Point object representing the lower-left corner of a box enclosing a particular object.
- MaxPoint
- Point object representing the upper-right corner of a box enclosing a particular object.
Image Object : GetBoundingBox Method |
Description
Syntax
Parameters
- MinPoint
- Point object representing the lower-left corner of a box enclosing a particular object.
- MaxPoint
- Point object representing the upper-right corner of a box enclosing a particular object.
Example
Sub Example_GetBoundingBox()
' This example creates text and finds the bounding box for the text.
Dim myText As String
Dim textObj As IntelliCAD.Text
Dim insPt As IntelliCAD.Point
Dim height As Double
Set insPt = Library.CreatePoint(3, 7)
height = 5
myText = "Test string for bounding box"
' Add the Text object
Set textObj = ThisDocument.ModelSpace.AddText(myText, insPt, height)
textObj.Update
ThisDocument.Application.ZoomExtents
' Return the bounding box for the text and return the lower left
' and upper right corners of the box.
Dim LL As Point
Dim UR As Point
textObj.GetBoundingBox LL, UR
MsgBox "The extents of the bounding box for the text are:" & Chr(13) & "Lower Left: " & LL.x & ", " & LL.y & Chr(13) & "Max Extent: " & UR.x & ", " & UR.y
End Sub